Page MenuHomePhabricator

Maltese Wikipedia and Wiktionary namespaces
Closed, ResolvedPublic

Description

Author: djchris_portelli

Description:
I have already addressed reports on Maltese Wikipedia namespaces by bug #16373 and bug #14898. Almost all of mt.wp namespaces were translated correctly, except that of "Wikipedia talk:" namespace. It should be "Diskussjoni Wikipedija:" and not the inverse (ie. "Wikipedija diskussjoni:").

For the Maltese Wiktionary, accessed on http://mt.wiktionary.org/ there is the need for a namespace translation. This is "Wiktionary talk:" and "Wiktionary". These should be translated correctly to "Diskussjoni Wikizzjunarju:" (for "Wiktionary talk:") and "Wikizzjunarju:" (for "Wiktionary:").


Version: unspecified
Severity: enhancement

Details

Reference
bz19968

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 21 2014, 10:40 PM
bzimport set Reference to bz19968.
bzimport added a subscriber: Unknown Object (MLST).

Changing component: General -> Site req.

Also as a future note, don't add a whole collection of randomish people as CC's when you create bug reports unless there is a reason, so i'm removing them (casey brown and siebrand) but i'm leaving rob since he is possibly useful.

djchris_portelli wrote:

Sorry, but I don't know who are the users who can tackle certain issues.

djchris_portelli wrote:

In my first post I wished to remark bug #16373 and bug #18498 (not #14898). Sorry for the mistake.

This word order is specified in the localization file:

NS_PROJECT_TALK => '$1_diskussjoni',

with an older alias:

'$1_diskuti' => NS_PROJECT_TALK,

If this is incorrect, it needs to be fixed in MessagesMt.php, with the current order kept as an alias.

Can you confirm that in all cases this would be correct:

NS_PROJECT_TALK => 'Diskussjoni_$1',

?

djchris_portelli wrote:

yes, the version should be 'Diskussjoni_$1'

IAlex added a comment.Jul 29 2009, 6:18 PM

fixed in r53959.

djchris_portelli wrote:

the namespaces are still the same... do they need a lot to be converted to the new ones?

Fix is not applied to the live site yet.

djchris_portelli wrote:

does it take long for changes to have effect?

IAlex added a comment.Aug 5 2009, 3:14 PM

It won't change before the code is updated on Wikimedia, this is done manually after reviewing the changes.

This was fixed as mentioned in comment 6. If you are not happy with Wikimedia's MediaWiki update frequency, please take that to another entry and categorise it as "Wikimedia/Site requests".